# $Revision: 1.31 $, $Date: 2011/04/10 20:45:35 $
%define		status		@release_state@
%define		pearname	@package@
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - @summary@
Name:		@rpm_package@
Version:	@version@
Release:	@release@
License:	@release_license@
Group:		Development/Languages/PHP
Source0:	http://@master_server@/get/%{pearname}-%{version}.tgz
# Source0-md5:	@tarball_md5@
URL:		http://@master_server@/package/@package@/
BuildRequires:	php-packagexml2cl
BuildRequires:	@pear_rpm_name@
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-pear
@extra_headers@
@arch_statement@
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	%(pear config-get cfg_dir 2>/dev/null || ERROR)/%{pearname}

%if "@_noautoreq@" != ""
# exclude optional dependencies
%define		_noautoreq	@_noautoreq@
%endif

%description
@description@

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%if 0%{?_noautoreq:1}
%post -p <lua>
%pear_package_print_optionalpackages
%endif

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%if 0%{?_noautoreq:1}
%doc optional-packages.txt
%endif
@doc_files_statement@
@registry_files_statement@
@cfg_files_statement@
@script_files_statement@
@php_files_statement@
@data_files_statement@
@www_files_statement@
@customrole_files_statement@

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PEAR-template.spec,v $
Revision 1.31  2011/04/10 20:45:35  glen
- cleaning

Revision 1.30  2011/04/10 19:09:25  glen
- handle registry subdirs

Revision 1.29  2011/04/10 19:08:55  glen
- update to current

Revision 1.28  2011/04/08 19:54:10  glen
- package.xml always with this name
- update spec

Revision 1.27  2010/10/02 15:46:00  glen
- use package name from code logic
- new newer macros for pearname macro
- sample for other channel registry.

Revision 1.26  2010/08/21 18:10:38  glen
- _sysconfdir macro from php-pear-Services_Amazon_SQS.spec

Revision 1.25  2010/08/21 15:32:17  glen
- drop underscores

Revision 1.24  2010/08/21 12:31:51  glen
- take release from makerpm

Revision 1.23  2010/08/21 10:17:38  glen
- always remove tests

Revision 1.22  2010/08/21 08:18:55  glen
- @package2xml@ expand

Revision 1.21  2010/08/20 23:58:39  glen
- up to 0.2.0

Revision 1.20  2010/08/20 21:53:25  glen
- build changelog

Revision 1.19  2010/08/20 21:49:26  glen
- drop tests package, packaging them has no value

Revision 1.18  2010/08/20 21:48:38  glen
- drop @class@ and @subclass@ macros
- missing rpm macros dep
- adapter

Revision 1.17  2007/09/03 15:00:15  adamg
- fix order

Revision 1.16  2007/09/03 00:11:45  adamg
- UTF-8 by default

Revision 1.15  2006/11/08 19:07:16  glen
- add Source0-md5 support

Revision 1.14  2006/11/08 13:23:05  glen
- no need to obsolete -tests in new packages

Revision 1.13  2006/11/08 13:22:33  glen
- no epoch defined by default

Revision 1.12  2006/04/02 13:52:09  glen
- group Development/Languages/PHP for -tests

Revision 1.11  2006/04/02 13:49:54  glen
- AutoProv: no for -tests

Revision 1.10  2006/03/07 11:16:45  glen
- BR: php-pear-PEAR

Revision 1.9  2005/11/01 13:38:03  adamg
- slash at the end of URL

Revision 1.8  2005/10/08 09:42:09  glen
- avoid creating partial -pl description / summary

Revision 1.7  2005/09/28 22:06:50  glen
- duplicate file nuked

Revision 1.6  2005/09/28 21:11:55  glen
- conditionally _noautoreq

Revision 1.5  2005/09/28 20:55:45  glen
- handle optional deps and optional tests
- handle different file classes

Revision 1.4  2005/09/28 20:40:30  glen
- handle _noautoreq and %doc files

Revision 1.3  2005/09/28 20:16:39  glen
- extra_headers are pldized now

Revision 1.2  2005/09/28 20:06:37  glen
- updated
- added tests subpackage

Revision 1.1  2005/09/18 14:05:52  glen
- based on SPECS/template-php-pear.spec
