# $Revision: 1.28 $, $Date: 2011/04/10 19:09:59 $
# TODO
# - finish ../SOURCES/php-pear-PEAR-rpmvars.patch merge
# - merge conflict + upper to ">": (Mail_mimeDecode)
#   Requires:   php-pear-Mail_Mime >= 1.4.0
#   Conflicts:  php-pear-Mail_Mime = 1.4.0
#   ->
#   Requires:   php-pear-Mail_Mime > 1.4.0
# - add minimum php version used (so that the epoch does not go to nonsense for
#   older php's, yet think that could blow up php4 only pkgs)
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	PEAR_Command_Packaging
Summary:	%{_pearname} - make-rpm-spec command for managing RPM .spec files for PEAR packages
Summary(pl.UTF-8):	%{_pearname} - polecenie make-rpm-spec do zarządzania plikami .spec pakietów PEAR-a
Name:		php-pear-%{_pearname}
Version:	0.2.0
Release:	7
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	457881b46b8c42ba58cdb698872df2e6
Source1:	php-pear-PEAR-template.spec
Patch0:		%{name}.patch
URL:		http://pear.php.net/package/PEAR_Command_Packaging/
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.4.3
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.571
Requires:	php-pear
Requires:	php-pear-PEAR >= 1:1.4.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This command is an improved implementation of the standard makerpm
command, and contains several enhancements that make it far more
flexible. Similar functions for other external packaging mechanisms
may be added at a later date.

Enhanced features over the original PEAR "makerpm" command include:
- Ability to define a release on the command line
- Allows more advanced customisation of the generated package name
- Allows virtual Provides/Requires that differ in format from the
  package name format
- tries to intelligently distinguish between PEAR and PECL when
  generating packages

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
To polecenie to ulepszona implementacja standardowego polecenia
makerpm. Zawiera kilka rozszerzeń czyniących ją dużo bardziej
elastycznym. W przyszłości mogą być dodane podobne funkcje dla innych
zewnętrznych mechanizmów pakietów.

Rozszerzone możliwości w stosunku do oryginalnego polecenia PEAR-a
"makerpm" obejmują:
- możliwość definiowania pola Release z linii poleceń
- bardziej zaawansowane dostosowywanie nazwy generowanego pakietu
- dodawanie wirtualnych Provides/Requires o innym formacie niż format
  nazwy pakietu
- próbę inteligentnego rozróżnienia między projektami PEAR a PECL przy
  generowaniu pakietów

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
%patch0 -p1

rm docs/PEAR_Command_Packaging/LICENSE

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

sed -e '/^\$''Log: /,$d' %{SOURCE1} > $RPM_BUILD_ROOT%{php_pear_dir}/data/%{_pearname}/template.spec
echo '$''Log: $' >> $RPM_BUILD_ROOT%{php_pear_dir}/data/%{_pearname}/template.spec

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PEAR/Command/Packaging.xml
%{php_pear_dir}/PEAR/Command/Packaging.php
%{php_pear_dir}/data/PEAR_Command_Packaging

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PEAR_Command_Packaging.spec,v $
Revision 1.28  2011/04/10 19:09:59  glen
- other channel package naming is done

Revision 1.27  2011/04/10 19:09:25  glen
- handle registry subdirs

Revision 1.26  2011/02/12 18:10:27  glen
- release 6

Revision 1.25  2010/10/20 06:55:48  glen
- include channel alias for all packages (matches schema for current pecl and pear packages)

Revision 1.24  2010/10/02 15:44:13  glen
- our pear scripts always rename to package.xml

Revision 1.23  2010/08/22 09:12:54  glen
- note test package for todo

Revision 1.22  2010/08/22 08:58:18  glen
- different naming policy for pear packages and external repos; rel 5

Revision 1.21  2010/08/22 08:57:43  glen
- todo

Revision 1.20  2010/08/21 18:10:01  glen
- todos

Revision 1.19  2010/08/21 12:34:15  glen
- recognize pecl/pear deps in package 1.0 format

Revision 1.18  2010/08/21 10:28:54  glen
- release 3

Revision 1.17  2010/08/21 09:59:07  glen
- add back --output/-o option support; rel 2

Revision 1.16  2010/08/21 08:15:44  glen
- update deps

Revision 1.15  2010/08/20 23:58:39  glen
- up to 0.2.0

Revision 1.14  2008/01/31 12:16:49  glen
- rel 3

Revision 1.13  2007-09-03 00:17:32  adamg
- pl.UTF-8 by default; release 2

Revision 1.12  2007/03/16 20:43:13  glen
- rel 1

Revision 1.11  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.9  2006/12/31 14:51:36  adamg
- dropped bogus include

Revision 1.8  2006/11/08 19:08:19  glen
- pear make-rpm-spec portion is handled now in this package

Revision 1.7  2006/06/28 17:09:59  adamg
- updated to 0.1.2

Revision 1.6  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.5  2006/05/18 12:00:38  glen
- 0.1.1

Revision 1.4  2006/04/02 12:59:55  glen
- update license

Revision 1.3  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.2  2006/03/04 16:43:07  qboosh
- pl

Revision 1.1  2006/03/02 00:34:29  glen
- new (produced with help of pear makerpm)
